<?php

namespace App\Modules\EndpointScope\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\ConcreteStorageCriteria;
use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface EndpointScopeRepository
{
    public function find(StorageCriteria $criteria);
    public function search(ConcreteStorageCriteria $action);
}
